package ru.ulstu.odin.model.annotation;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

import static java.lang.annotation.ElementType.ANNOTATION_TYPE;
import static java.lang.annotation.ElementType.FIELD;

@Retention(RetentionPolicy.RUNTIME)
@Target(value = {FIELD, ANNOTATION_TYPE})
public @interface OdinNumeric {
    boolean positiveOnly() default false;

    int precision() default 10;

    int scale() default 0;
}
